# Contributing

First off, thanks for taking the time to contribute!

The following is a set of guidelines for contributing. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

#### Table Of Contents

1. [Code of Conduct](#code-of-conduct)
1. [Styleguides](#styleguides)
  	+ [Code](#code)
  	+ [Issues](#issues)
  	+ [Pull Requests](#pull-requests)
  	+ [Commit Messages](#commit-messages)


## Code of Conduct

This project and everyone participating in it is governed by the [Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [aaronlichtman@gmail.com](mailto:aaronlichtman@gmail.com).

## Styleguides

#### Code

* Try to write your code following the style in the repo already.

#### Issues

* **Use a clear and descriptive title** for the issue to identify the suggestion.
* **Provide a comprehensive description of the suggested enhancement** in as much detail as possible.
* (If applicable) **Provide specific examples to demonstrate the steps**. Include code snippets which you use in those examples, as [Markdown code blocks](https://help.github.com/articles/markdown-basics/#multiple-lines).

#### Commit Messages

* Limit the first line to 72 characters or less
* Reference issues and pull requests

#### Pull Requests

* **Use a clear and descriptive title** for the issue to identify the suggestion.
* Include any relevant issue numbers in the PR body, not the title.
* **Provide a comprehensive description of all changes made.**
